Generate vendor link for lot number

Beta
View as MarkdownOpen in Claude
Generates a vendor payment link for a specific bill lot number. This allows you to pay all bills with the same lot number for a vendor with a single payment link.

Path parameters

lotNumberstringRequired
Lot number of the bills to pay. All bills with this lot number will be included.

Query parameters

entryPointstringRequired

The entity’s entrypoint identifier. Learn more

vendorNumberstringRequired
The vendor number for the vendor being paid with this payment link.
mail2stringOptional

List of recipient email addresses. When there is more than one, separate them by a semicolon (;).

amountFixedstringOptionalDefaults to true

Indicates whether customer can modify the payment amount. A value of true means the amount isn’t modifiable, a value false means the payor can modify the amount to pay.

Request

This endpoint expects an object.
contactUsobjectOptional
ContactUs section of payment link page.
messageBeforePayingobjectOptional
Message section of payment link page.
notesobjectOptional
Notes section of payment link page.
pageobjectOptional
Page header section of payment link page.
paymentButtonobjectOptional
Payment button section of payment link page.
paymentMethodsobjectOptional

Payment methods section of payment link page. Use this to configure which payout methods (ACH, vCard, check) are offered to the vendor.

reviewobjectOptional
Review section of payment link page.
billsobjectOptional
Bills section of payment link page.
settingsobjectOptional
Settings section of payment link page.

Response

Success
isSuccessboolean

Boolean indicating whether the operation was successful. A true value indicates success. A false value indicates failure.

responseTextstring

Response text for operation: ‘Success’ or ‘Declined’.

responseDatastring

If isSuccess = true, this contains the payment link identifier. If isSuccess = false, this contains the reason of the error.